ICC 64 INSTALLED UNDER DEBIAN 5

ICC 64 INSTALLED UNDER DEBIAN 5

ICC 64 INSTALLED UNDER DEBIAN 5
Sorry
Without object
I have understand problem gcc-4.3.3 are not part package official debian 5
I had to install I forgot. No problem I think with Gcc and Icc Debian 5 default

Hi all
I have install ICC 64
Observing problem (Debian 64)
I think gcc-4.3.3 not correctly work.
When you starting GCC or ICC ./configure (program sources)
resulting message that compiler can not work ...
In my repertory /usr/bin I have and you having probably same
debian:/usr/bin# ls gcc*
gcc gcc-4.1 gcc-4.3 gccbug-3.4 gccbug-4.3.3
gcc-3.4 gcc-4.2 gcc-4.3.3 gccbug-4.1

If 4.3.3 is installed result
gcc and g++ alias are linked to gcc-4.3.3 ,g++-4.3.3
but
gcc-4.3 is gcc version 4.3.2 (Debian 4.3.2-1.1)

gcc-4.3 -v
Utilisation des specs internes.
Target: x86_64-linux-gnu
Configur avec: ../src/configure -v --with-pkgversion='Debian 4.3.2-1.1' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c ,fortran,objc,obj-c --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c /4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-cld --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Modle de thread: posix
gcc version 4.3.2 (Debian 4.3.2-1.1)

for result run correctly icc and gcc
mv /usr/bin/gcc /usr/bin/oldgcc
mv /usr/bin/g /usr/bin/oldg

cp /usr/bin/gcc-4.3 /usr/bin/gcc
cp /usr/bin/g -4.3 /usr/bin/g
(use ln to make link if you want is same)

LD_LIBRARY_PATH='/opt/intel/Compiler/11.0/081/lib/intel64'
export LD_LIBRARY_PATH
CC='/opt/intel/Compiler/11.0/081/bin/intel64/icc'

export CC
CFLAGS=-O3 -.......................
export CFLAGS

LANG=C
export LANG

./configure (work now correctly)

You want install last GCC default you loose an hours to search problem..... Linux........
I think problem crtbeginS.o ???
When i have time I build last snapshot with 4.3.2 to see if can be resolved this machine...
i have allready build under other machine (debian 5), curious I do not remember having problem ,result used gcc-4.3.2 for rebuild?
Small problem Debian 5 is an very well package...
Best regards

1 post / 0 new
For more complete information about compiler optimizations, see our Optimization Notice.